{* ================================================================================ *}
{* ========================== Список комментариев стен ============================ *}
{* ================================================================================ *}

{if $comments_count}
    {foreach key=cid item=comment from=$comments}
        {math equation="x+1" x=$cid assign="next"}  
        <div>
        <a name="c{$comment.id}"></a>
        <table class="cmm_entry">
            <tr>
                <td class="cmm_title" valign="middle">
                    <span class="cmm_author"><a href="{profile_url login=$comment.author.login}">{$comment.author.nickname}</a> {if $is_admin && $comment.ip}({$comment.ip}){/if}</span>
                    <a class="cmm_anchor" href="#c{$comment.id}" title="{$LANG.LINK_TO_COMMENT}">#</a>
                    {if !$is_user || $comment.is_voted || !$comment.is_profile}
                        <span class="cmm_votes">
                            {if $comment.rating>0}
                                <span class="cmm_good">+{$comment.rating}</span>
                            {elseif $comment.rating<0}
                                <span class="cmm_bad">{$comment.rating}</span>
                            {else}
                                {$comment.rating}
                            {/if}
                        </span>
                    {else}
                        <span class="cmm_votes" id="votes{$comment.id}">
                            <table border="0" cellpadding="0" cellspacing="0"><tr>
                                    <td>{$comment.rating|rating}</td>
                                    <td><a href="javascript:void(0);" onclick="voteComment({$comment.id}, -1);" title="{$LANG.BAD_COMMENT}"><img border="0" alt="-" src="/templates/{template}/images/icons/comments/vote_down.gif" style="margin-left:8px"/></a></td>
                                    <td><a href="javascript:void(0);" onclick="voteComment({$comment.id}, 1);" title="{$LANG.GOOD_COMMENT}"><img border="0" alt="+" src="/templates/{template}/images/icons/comments/vote_up.gif" style="margin-left:2px"/></a></td>
                                </tr></table>
                        </span>
                    {/if}
                </td>
            </tr>
            <tr>
                <td valign="top">
                    <table width="100%" cellpadding="1" cellspacing="0">
                        <tr>
                            <td width="70" height="70"  align="center" valign="top" class="cmm_avatar">
                                <a href="{profile_url login=$comment.author.login}"><img border="0" class="usr_img_small" src="{$comment.user_image}" /></a>
                            </td>
                            <td class="cmm_content_av" valign="top">
                                <div id="cm_msg_{$comment.id}">
                                    {if $comment.show}
                                        {$comment.content}
                                    {else}
                                        <a href="javascript:void(0)" onclick="expandComment({$comment.id})" id="expandlink{$comment.id}">{$LANG.SHOW_COMMENT}</a>
                                        <div id="expandblock{$comment.id}" style="display:none">{$comment.content}</div>
                                    {/if}
                                </div>
                                <div style="margin-top:5px;float:left;" class="cmm_date">{if $comment.published}{$comment.fpubdate}{else}<span style="color:#F00">{$LANG.WAIT_MODERING}</span>{/if}</div>
                                <div class="clear"></div>
                                <div style="margin-top:15px;">
                                    {if $is_user}
                                        {if $is_admin || ($comment.is_my && $comment.is_editable && $comment.content_bbcode) || ($user_can_moderate && $comment.content_bbcode)}
                                            {if !$comment.content_bbcode}
                                                <a href="/admin/index.php?view=components&do=config&link=comments&opt=edit&item_id={$comment.id}">{$LANG.EDIT}</a>
                                            {else}
                                                <a href="javascript:" onclick="editComment('{$comment.id}', '{csrf_token}')" class="ajaxlink">{$LANG.EDIT}</a>
                                            {/if}
                                        {/if}
                                        {if $is_admin || ($comment.is_my && $user_can_delete) || $user_can_moderate}
                                            | <a href="javascript:" onclick="deleteComment({$comment.id}, '{csrf_token}');return false;" class="ajaxlink">{$LANG.DELETE}</a>
                                        {/if}
                                    {/if}
                                </div>

                                {if $comment.is_profile}
                                </td></tr></table>
                            {/if}
                </td>
            </tr>
        </table>
        <div id="cm_addentry{$comment.id}" class="reply" style="display:none"></div>
        </div>
    {/foreach}
<div style="background: #F1F1F1;padding: 6px;margin-top:15px;" onclick="addComment('{$target|escape:'html'}', '{$target_id}')">
  <div style="background: #FFF;border: 1px solid #C0CAD5;color: #777;cursor: text;padding: 3px 5px;">Также прокомментировать…</div>
</div>
{else}
<div style="background: #F1F1F1;padding: 6px;margin-top:15px;" onclick="addComment('{$target|escape:'html'}', '{$target_id}')">
  <div style="background: #FFF;border: 1px solid #C0CAD5;color: #777;cursor: text;padding: 3px 5px;">Прокомментировать…</div>
</div>
{/if}